Stock Prices (OHLC)(/prices/daily_quotes)

Historical stock prices including both adjusted and unadjusted prices, taking into account stock splits, etc.

Overview

You can get information about stock price.

Stock price consists before and after adjustment of stock splits and reverse stock splits (Rounded to first decimal places)

Attention

circle-info
  • Open, High, Low, Close, the volume of trade and the amount of purchase for the issue on the day when there is no trade volume (no sale) are recorded as Null.

  • Stocks that are not listed on the TSE (including issue listed only on the other exchanges) are not included in the data.

  • The data for Oct. 1st, 2020 are the OHLC, trading volume, and trading value in Null because trading was halted all day due to the failure of the equity trading system, arrowhead.

  • Stock price adjustments are supported only for stock splits and reverse stock splits. Please note that some corporate actions are not supported.

Parameter and Response

In your request message, either "code" or "date" must be specified. Combination of parameter in the request and results are as below.

code
date
from /to
Results

All historical stock prices of a specific issue.

Stock prices of a specific issue for the specified period

All listed issue prices for the specific date.

Get daily stock prices

GET https://api.jquants-pro.com/v2/prices/daily_quotes

Either "code" or "date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27800 or 2780)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

from

String

starting point of data period

(e.g. 20210901 or 2021-09-01)

to

String

end point of data period

(e.g. 20210907 or 2021-09-07)

date

String

date of data

(e.g. 20210907 or 2021-09-07)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

Access key

Data Item

Variables
Description
Data type
Remark

Date

Date

String

YYYY-MM-DD

Code

Issue code

String

Open

Open Price (before adjustment)

Number

High

High price (before adjustment)

Number

Low

Low price (before adjustment)

Number

Close

Close price (before adjustment)

Number

UpperLimit

Flag of hitting the upper price limit of the day

String

0: Other than hitting the upper price limit 1: Hitting the upper price limit

LowerLimit

Flag of hitting the lower price limit of the day

String

0: Other than hitting the lower price limit 1: Hitting the lower price limit

Volume

Trading volume (before Adjustment)

Number

TurnoverValue

Trading value

Number

AdjustmentFactor

Adjustment factor

Number

In the case of a two-for-one stock split, "0.5" will be set in the record on the ex-rights date.

AdjustmentOpen

Adjusted open price

Number

AdjustmentHigh

Adjusted high price

Number

AdjustmentLow

Adjusted low price

Number

AdjustmentClose

Adjusted close price

Number

AdjustmentVolume

Adjusted volume

Number

MorningOpen

Open price of the morning session (before Adjustment)

Number

MorningHigh

High price of the morning session (before Adjustment)

Number

MorningLow

Low price of the morning session (before Adjustment)

Number

MorningClose

Close price of the morning session (before Adjustment)

Number

MorningUpperLimit

Flag of hitting the upper price limit of the day in morning session

String

0: Other than hitting the upper price limit 1: Hitting the upper price limit

MorningLowerLimit

Flag of hitting the lower price limit of the day in morning session

String

0: Other than hitting the lower price limit 1: Hitting the lower price limit

MorningVolume

Trading volume of the morning session (before Adjustment)

Number

MorningTurnoverValue

Trading value of the morning session

Number

MorningAdjustmentOpen

Adjusted open price of the morning session

Number

MorningAdjustmentHigh

Adjusted high price of the morning session

Number

MorningAdjustmentLow

Adjusted low price of the morning session

Number

MorningAdjustmentClose

Adjusted close price of the morning session

Number

MorningAdjustmentVolume

Adjusted trading volume of the morning session

Number

AfternoonOpen

Open price of the afternoon session (before Adjustment)

Number

AfternoonHigh

High price of the afternoon session (before Adjustment)

Number

AfternoonLow

Low price of the afternoon session (before Adjustment)

Number

AfternoonClose

Close price of the afternoon session (before Adjustment)

Number

AfternoonUpperLimit

Flag of hitting the upper price limit of the day in afternoon session

String

0: Other than hitting the upper price limit 1: Hitting the upper price limit

AfternoonLowerLimit

Flag of hitting the lower price limit of the day in afternoon session

String

0: Other than hitting the lower price limit 1: Hitting the lower price limit

AfternoonVolume

Trading volume of the afternoon session (before Adjustment)

Number

AfternoonTurnoverValue

Trading value of the afternoon session

Number

AfternoonAdjustmentOpen

Adjusted open price of the afternoon session

Number

AfternoonAdjustmentHigh

Adjusted high price of the afternoon session

Number

AfternoonAdjustmentLow

Adjusted low price of the afternoon session

Number

AfternoonAdjustmentClose

Adjusted close price of the afternoon session

Number

AfternoonAdjustmentVolume

Adjusted trading volume of the afternoon session

Number

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

Sector17Code

17-Sector code

String

Sector33Code

33-Sector code

String

ScaleCategory

TOPIX Scale category

String

MarketCode

Market segment code

String

MarginCode

Flags of margin and loan issues

String

1: Margin issues, 2: Loan issues, 3: Other issues(non-loan, non-margin)

※ The item has been adjusted to take into account past divisions, etc.

Sample Code

Last updated